PHPExcel_Worksheet_CellIterator

Used to iterate rows in a PHPExcel_Worksheet

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new cell iterator

    __construct(\PHPExcel_Worksheet $subject, int $rowIndex)

### Parameters

#### $subject

`\PHPExcel_Worksheet`

#### $rowIndex

`int`

## Destructor

    __destruct()

## Current PHPExcel_Cell

    current() : \PHPExcel_Cell

### Returns

`\PHPExcel_Cell`

## Get loop only existing cells

    getIterateOnlyExistingCells() : boolean

### Returns

`boolean`

## Current key

    key() : int

### Returns

`int`

## Next value

    next()

## Rewind iterator

    rewind()

## Set the iterator to loop only existing cells

    setIterateOnlyExistingCells(boolean $value)

### Parameters

#### $value

`boolean`

## Are there any more PHPExcel_Cell instances available?

    valid() : boolean

### Returns

`boolean`

### Properties

##

    $_onlyExistingCells : boolean

##

    $_position : int

##

    $_rowIndex : int

##

    $_subject : \PHPExcel_Worksheet